Associate Kubernetes Distributions with Products

Associate Kubernetes Distributions with Products
Associate Kubernetes Distributions with Products

Associate Kubernetes distributions with products that require Kubernetes.

Request
URI
PATCH
https://{opsmanager-installation}/api/v0/kubernetes_distribution_associations
COPY
Request Body
{
    "products": [
        {
            "guid": "string",
            "kubernetes_distribution": {
                "identifier": "string",
                "version": "string"
            }
        }
    ]
}
array of products
products
Optional

products

Responses
200

OK

Returns EmptyResponse of type(s) application/json
Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


422

Unprocessable Content

Returns CommonErrors of type(s) application/json
{
    "errors": [
        "string"
    ]
}
array of string
errors
Required

errors


Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '[{}]'